%define version 0.7.0
%define release alt2.1
%define origname TwistedWeb
%setup_python_module twisted-web

Name:           %packagename
Version:        %version
Release:        %release
Summary:        Twisted web server, programmable in Python

Group:          Development/Python
License:        MIT
URL:            http://twistedmatrix.com/trac/wiki/TwistedWeb
Packager:	Sergey Alembekov <rt@altlinux.ru>
Source0:        http://tmrc.mit.edu/mirror/twisted/Web/0.7/%origname-%version.tar.bz2
Source1:	README.ALT-ru_RU.UTF-8

BuildRequires:  python-module-twisted-core
BuildRequires:  python-devel

%add_python_req_skip Tkinter

%description
Twisted is an event-based framework for internet applications.

Twisted Web is a complete web server, aimed at hosting web
applications using Twisted and Python, but fully able to serve static
pages, also.

%prep
%setup -q -n %origname-%version

%__subst 's@^#! */usr/bin/python@@' twisted/web/test/test_cgi.py
%__subst 's@^#! */usr/bin/python@@'  twisted/web/test/test_distrib.py

%build
%__python setup.py build

cp %SOURCE1 README.ALT-ru_RU.UTF-8

%install
%__python setup.py install --root $RPM_BUILD_ROOT --install-purelib %python_sitelibdir

%clean

%files
%doc README LICENSE NEWS doc/*
%doc README.ALT-ru_RU.UTF-8
%python_sitelibdir/twisted/web

# There are no SOAPpy in ALT Linux Sisyphus - remove it support
%exclude %python_sitelibdir/twisted/web/soap.py
%exclude %python_sitelibdir/twisted/web/test/test_soap.py


%changelog
* Sat Nov 17 2007 Sergey Alembekov <rt@altlinux.ru> 0.7.0-alt2.1
- Fix build on x86_64 (Thanks to Nikolay A. Fetisov aka naf@)
- Spec file cleanup 

* Wed Nov 07 2007 Sergey Alembekov <rt@altlinux.ru> 0.7.0-alt2
- skip requires for Tkinter module
- add README.ALT

* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 0.7.0-alt1
- Build for new upstream version
